Communications|Cryptography|FitContributor|Graphics|Gregorian|Lang|Math|Media|Persisted(Content|Locations)|Position|Properties|Sensor(History|Logging)?|Storage|StringUtil|System|Test|Time(r)?|Toybox|UserProfile|WatchUi|Rez|Drawables|Strings|Fonts|method)\b">
        <token type="NameBuiltin"/>
      </rule>
      <rule pattern="\b(me|self|\$)\b">
        <token type="NameBuiltinPseudo"/>
      </rule>
      <rule pattern="&#34;(\\\\|\\&#34;|[^&#34;])*&#34;">
        <token type="LiteralStringDouble"/>
      </rule>
      <rule pattern="&#39;(\\\\|\\&#39;|[^&#39;&#39;])*&#39;">
        <token type="LiteralStringSingle"/>
      </rule>
      <rule pattern="-?(0x[0-9a-fA-F]+l?)">
        <token type="LiteralNumberHex"/>
      </rule>
      <rule pattern="-?([0-9]+(\.[0-9]+[df]?|[df]))\b">
        <token type="LiteralNumberFloat"/>
      </rule>
      <rule pattern="-?([0-9]+l?)">
        <token type="LiteralNumberInteger"/>
      </rule>
      <rule pattern="[a-zA-Z_]\w*">
        <token type="Name"/>
      </rule>
    </state>
    <state name="import">
      <rule pattern="([a-zA-Z_][\w_\.]*)(?:(\s+)(as)(\s+)([a-zA-Z_][\w_]*))?">
        <bygroups>
          <token type="NameNamespace"/>
          <token type="Text"/>
          <token type="KeywordNamespace"/>
          <token type="Text"/>
          <token type="NameNamespace"/>
        </bygroups>
      </rule>
      <rule>
        <pop depth="1"/>
      </rule>
    </state>
  </rules>
</lexer>